<?php

namespace Database\Seeders;

use App\Models\HolidayType;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class HolidayTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $holidayType = [
            [
                'name' => 'Regular',
                'percentage' => '2'
            ],
            [
                'name' => 'Special',
                'percentage' => '30'
            ],
            [
                'name' => 'Local',
                'percentage' => '30'
            ],
        ];

        HolidayType::insert($holidayType);
    }

    public function reset()
    {
        HolidayType::truncate();
    }
}
